## visad.data.netcdf.in
Class VirtualFlatField

    java.lang.Object
      visad.data.netcdf.in.VirtualData
          visad.data.netcdf.in.VirtualField
              visad.data.netcdf.in.VirtualFlatField

public class VirtualFlatField
extends VirtualField

Provides support for a virtual VisAD FlatField.

Constructor Summary
`protected` `VirtualFlatField(FunctionType functionType, SampledSet domainSet, VirtualTuple rangeTuple)` Constructs from a function type, domain set, and range tuple.

Method Summary
`Object` `clone()` Clones this instance.
`DataImpl` `getData(Context context)` Gets the VisAD data object corresponding to this virtual, data object.

Methods inherited from class visad.data.netcdf.in.VirtualField
`getDataFactory, getDomainSet, getFunctionType, getRangeTuple, getType, newVirtualField, newVirtualField, setDataFactory`

Methods inherited from class visad.data.netcdf.in.VirtualData
`getData, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualFlatField

    protected VirtualFlatField(FunctionType functionType,
                               SampledSet domainSet,
                               VirtualTuple rangeTuple)

  Constructs from a function type, domain set, and range tuple.

Parameters:
  `domainSet` - The domain sampling set of the FlatField.
  `rangeTuple` - The range of the FlatField.

Method Detail

### getData

    public DataImpl getData(Context context)
                     throws VisADException,
                            IOException

  Gets the VisAD data object corresponding to this virtual, data object.

  Overrides:
    `getData` in class `VirtualField`
  Parameters:
    `context` - The context in which the data is to be retrieved.
  Returns:
    The VisAD data object corresponding to this virtual, data object.
  Throws:
    `VisADException` - Couldn't created necessary VisAD object.
    `InvalidContextException` - Invalid context.
    `IOException` - I/O failure.

### clone

    public Object clone()

  Clones this instance.

  Overrides:
    `clone` in class `VirtualField`
  Returns:
    A (deep) clone of this instance.